Package org.eclipse.birt.report.engine.api

# Interface IParameterDefn

All Superinterfaces:
  `IParameterDefnBase`

All Known Subinterfaces:
  `IDynamicFilterParameterDefn`, `IScalarParameterDefn`

public interface IParameterDefn extends IParameterDefnBase
base interface for a BIRT report parameter

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SELECTION_LIST_DYNAMIC`
`static final int`
`SELECTION_LIST_NONE`
`static final int`
`SELECTION_LIST_STATIC`
`static final int`
`TYPE_ANY`
`static final int`
`TYPE_BOOLEAN`
`static final int`
`TYPE_DATE`
`static final int`
`TYPE_DATE_TIME`
`static final int`
`TYPE_DECIMAL`
`static final int`
`TYPE_FLOAT`
`static final int`
`TYPE_INTEGER`
`static final int`
`TYPE_STRING`
`static final int`
`TYPE_TIME`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

## Method Summary

Modifier and Type
Method
Description
`int`
`getDataType()`
returns the parameter data type.
`ArrayList`
`getSelectionList()`
Deprecated.
`int`
`getSelectionListType()`
`boolean`
`isHidden()`
returns whether the parameter is a hidden parameter
`boolean`
`isRequired()`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

## Field Details

### TYPE_ANY

static final int TYPE_ANY

See Also:
  - Constant Field Values

### TYPE_STRING

static final int TYPE_STRING

See Also:
  - Constant Field Values

### TYPE_FLOAT

static final int TYPE_FLOAT

See Also:
  - Constant Field Values

### TYPE_DECIMAL

static final int TYPE_DECIMAL

See Also:
  - Constant Field Values

### TYPE_DATE_TIME

static final int TYPE_DATE_TIME

See Also:
  - Constant Field Values

### TYPE_BOOLEAN

static final int TYPE_BOOLEAN

See Also:
  - Constant Field Values

### TYPE_INTEGER

static final int TYPE_INTEGER

See Also:
  - Constant Field Values

### TYPE_DATE

static final int TYPE_DATE

See Also:
  - Constant Field Values

### TYPE_TIME

static final int TYPE_TIME

See Also:
  - Constant Field Values

### SELECTION_LIST_NONE

static final int SELECTION_LIST_NONE

See Also:
  - Constant Field Values

### SELECTION_LIST_DYNAMIC

static final int SELECTION_LIST_DYNAMIC

See Also:
  - Constant Field Values

### SELECTION_LIST_STATIC

static final int SELECTION_LIST_STATIC

See Also:
  - Constant Field Values

## Method Details

### isHidden

boolean isHidden()
returns whether the parameter is a hidden parameter

Returns:
  whether the parameter is a hidden parameter

### isRequired

boolean isRequired()

Returns:
  whether the parameter is required.
  the rule for String type is:

isRequired=true, allowNull and allowBlank are false
isRequired=false, allowNull and allowBlank are true
for other type like integer:
isRequired=true, allowNull and allowBlank are false
isRequired=false, allowNull and allowBlank are true

### getDataType

int getDataType()
returns the parameter data type. The valid data type could be `IParameterDefn.TYPE_ANY`, `IParameterDefn.TYPE_STRING`, `IParameterDefn.TYPE_FLOAT`, `IParameterDefn.TYPE_DECIMAL`, `IParameterDefn.TYPE_DATE_TIME`, `IParameterDefn.TYPE_BOOLEAN`, `IParameterDefn.TYPE_INTEGER`, `IParameterDefn.TYPE_DATE`, `IParameterDefn.TYPE_TIME`.

Returns:
  the parameter data type

### getSelectionList

@Deprecated ArrayList getSelectionList()
Deprecated.

Returns:
  get a parameter value selection object, from which a list of parameter values and label values can be retrieved.

### getSelectionListType

int getSelectionListType()

Returns:
  the type of the parameter selection list